export { a as dga_header_action_btn, f as dga_nav_header, D as dga_nav_header_actions, e as dga_nav_header_link, c as dga_nav_header_logos, b as dga_nav_header_main, d as dga_nav_header_menu } from './dga-header-action-btn-BBEzb24w.js';
import { r as registerInstance, h, H as Host, a as getElement } from './index-D0dWnGvB.js';

const DgaSecondNavHeader = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.variant = 'primary';
    }
    componentWillLoad() {
        this.el.childNodes.forEach((item) => {
            const el = item;
            if (el.tagName === 'DGA-SECOND-NAV-HEADER-CONTENT' && this.hideContent === true) {
                el.style.display = 'none';
            }
            if (el.tagName === 'DGA-SECOND-NAV-HEADER-ACTIONS' && this.hideActions === true) {
                el.style.display = 'none';
            }
            if (el.tagName === 'DGA-SECOND-NAV-HEADER-CONTENT' && el.attributes.getNamedItem('slot') === null) {
                el.setAttribute('slot', 'content');
            }
            if (el.tagName === 'DGA-SECOND-NAV-HEADER-ACTIONS' && el.attributes.getNamedItem('slot') === null) {
                el.setAttribute('slot', 'actions');
            }
        });
    }
    render() {
        return (h(Host, { key: '97c98d0412b928e7690a34db9b858d065ed1a1a5' }, h("div", { key: '7311349c4fcde2f18cd6bf0f87305e0a60d5a4c2', class: `wrapper ${this.variant} `, "aria-label": 'a secondary navigation navbar' }, h("div", { key: 'f77d3a91f40b5f401b68381da4bff897b854a84a', class: `container ${this.hideDivider ? '' : 'border'}` }, h("div", { key: '90657750cdf05e52811c8394f84aca53b92a2e6c', class: `content` }, h("slot", { key: '3ef6c602e27d5092bfeac1fbc013e9f7664f3951', name: "content" })), h("div", { key: '288904638f4e47678ed852fcb58ff2e6e70d9d13', class: `actions` }, h("slot", { key: '1cbf8daedb8ade075c19e1f623ba03c7ac5d25d0', name: "actions" }))))));
    }
    get el() { return getElement(this); }
};

const DgaSecondNavHeaderActions = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h(Host, { key: 'd1e640c6c31419544931a943928581ef2ea7eb5c' }, h("div", { key: '0ed3577db3702c1a6a9541119c5869052bfdfc51', class: `items-container` }, h("slot", { key: 'a876aa2c50147c276c9c687b9a4588aa7c5aea0c' }))));
    }
};

const DgaSecondNavHeaderContent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h(Host, { key: '91c825b1539a33b6c559e9e684428bd9af3e83ae' }, h("div", { key: '5e480a12ae5ffac72c5aad75c6b71f3ed3b1b733', class: `items-container` }, h("slot", { key: '091a6c6eea6c714f2366d977d54650b942b7adde' }))));
    }
};

const DgaSecondNavHeaderItem = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    connectedCallback() {
        this.el.childNodes.forEach((item) => {
            const el = item;
            if (el.tagName === 'DGA-ICON'.toLocaleUpperCase() && el.attributes.getNamedItem('slot') === null) {
                el.setAttribute('slot', 'icon');
            }
        });
    }
    render() {
        return (h(Host, { key: 'a85326c31b79ccdebf74482c9dd4e1dbb3647f69' }, h("slot", { key: '4cb233cf04983344e759015607e4eadbb3576a68', name: 'icon' }), h("slot", { key: 'a01ddbac3667222c95ab5e72169875c8fe0094e6', name: 'label' }, this.label)));
    }
    get el() { return getElement(this); }
};

export { DgaSecondNavHeader as dga_second_nav_header, DgaSecondNavHeaderActions as dga_second_nav_header_actions, DgaSecondNavHeaderContent as dga_second_nav_header_content, DgaSecondNavHeaderItem as dga_second_nav_header_item };
